package ru.yandex.webmaster3.viewer.http.searchurl.filter;

import org.joda.time.Instant;
import org.joda.time.LocalDate;
import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;

/**
 * @author avhaliullin
 */
public interface SearchUrlDateRangeAware {
    @RequestQueryProperty
    @Description("Дата начала интервала")
    void setDateFrom(Instant dateFrom);

    Instant getDateFrom();

    @RequestQueryProperty
    @Description("Дата конца интервала")
    void setDateTo(Instant dateTo);

    Instant getDateTo();
}
